QGIS Application - Bug report #7388
Feature merging fails for Postgis tables if pkey is not set
2013-03-18 04:13 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16359
Description

When digitising new lines in a Postgis table and merging them with the merge features tool one gets an error messages saving these
merged lines:

"Error: Invalid input syntax for integer: "
My guess is that QGIS tries to write the features with negative pkey values while Postgis only accepts positive pkey values. QGIS should

ignore the pkey values, if the value is negative and leave it up to the database to create new values. If the pkey value is positive, QGIS
should use the existing pkey value from the user.

History

#1 - 2013-03-18 04:15 AM - Andreas Neumann
- Assignee set to Jirgen Fischer

#2 - 2013-05-28 05:30 AM - Andreas Neumann
- Resolution set to worksforme

- Status changed from Open to Closed

Seems to work now fine in current master.
